/*
 * $Id: vscan-functions.c,v 1.3 2002/11/25 23:59:56 reniar Exp $
 * 
 * provides commonly used functions 
 *
 * Copyright (C) Rainer Link, 2002
 *               OpenAntiVirus.org <rainer@openantivirus.org>
 *
 * This software is licensed under the GNU General Public License (GPL)
 * See: http://www.gnu.org/copyleft/gpl.html
 *
*/


#include <includes.h>
#include "vscan-functions.h"

BOOL set_boolean(BOOL *b, char *value)
{

        BOOL retval;

        retval = True;

        if ( StrCaseCmp("yes", value) == 0 ||
             StrCaseCmp("true", value) == 0 ||
             StrCaseCmp("1", value) == 0 )
                *b = True;
        else if ( StrCaseCmp("no", value) == 0 ||
                  StrCaseCmp("false", value) == 0 ||
                  StrCaseCmp("0", value) == 0 )
                *b = False;
        else {
                DEBUG(2, ("samba-vscan: badly formed boolean in configuration file, parameter %s\n", value));
                retval = False;
        }

        return retval;
}

/* print a message via syslog */
void vscan_syslog(char *printMessage, ...)
{
        char printMsg[512];

        va_list argptr;
        va_start(argptr, printMessage);
        vsnprintf(printMsg, sizeof(printMsg)-1, printMessage, argptr);
        va_end(argptr);

	syslog(SYSLOG_PRIORITY, "%s", printMsg);
}


/* print a message via syslog */
void vscan_syslog_alert(char *printMessage, ...)
{
        char printMsg[512];

        va_list argptr;
        va_start(argptr, printMessage);
        vsnprintf(printMsg, sizeof(printMsg)-1, printMessage, argptr);
        va_end(argptr);

        syslog(SYSLOG_PRIORITY_ALERT, "%s", printMsg);
}



